RemoveDocumentsTester
Date: 2017-06-10

org.gcube.informationsystem.collector.stubs.testsuite.wsdaix

## Class RemoveDocumentsTester

- java.lang.Object
- - org.gcube.informationsystem.collector.stubs.testsuite.wsdaix.RemoveDocumentsTester

-     public class RemoveDocumentsTester
      extends java.lang.Object

  Tester for XMLCollectionAccess::removeDocuments
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveDocumentsTester()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static RemoveDocumentsResponse` | `removeDocuments(java.lang.String serviceURL, GCUBEScope scope, org.apache.axis.types.URI resourceName, org.apache.axis.types.URI collectionURI, java.lang.String[] documentNames)` Executes the RemoveDocuments operation

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveDocumentsTester

          public RemoveDocumentsTester()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - 0 - host 1 - port 2 - scope 3 - resourcename 4 - collection 5 - document name

    - #### removeDocuments

          public static RemoveDocumentsResponse removeDocuments(java.lang.String serviceURL,
                                                GCUBEScope scope,
                                                org.apache.axis.types.URI resourceName,
                                                org.apache.axis.types.URI collectionURI,
                                                java.lang.String[] documentNames)
                                                         throws DataResourceUnavailableFaultType,
                                                                java.net.MalformedURLException,
                                                                java.rmi.RemoteException,
                                                                ServiceBusyFaultType,
                                                                InvalidResourceNameFaultType,
                                                                InvalidCollectionNameFaultType,
                                                                NotAuthorizedFaultType

      Executes the RemoveDocuments operation
      Parameters:
        `serviceURL` - The URL of the data service
        `resourceName` - The abstract name of the data resource
        `collectionURI` - The URI of the collection from which documents should be removed
        `documentNames` - An array of document names that should be removed
      Throws:
        `DataResourceUnavailableFaultType`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`
        `ServiceBusyFaultType`
        `InvalidResourceNameFaultType`
        `InvalidCollectionNameFaultType`
        `NotAuthorizedFaultType`